> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get EndUser's combined financials

> Get the combined P&L & Balance Sheet data from financial documents for an EndUser



## OpenAPI

````yaml https://app.herondata.io/swagger get /api/end_users/{end_user_id_or_heron_id}/combined_financials
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/end_users/{end_user_id_or_heron_id}/combined_financials:
    get:
      tags:
        - EndUserFinancials
      summary: Get EndUser's combined financials
      description: >-
        Get the combined P&L & Balance Sheet data from financial documents for
        an EndUser
      parameters:
        - in: path
          name: end_user_id_or_heron_id
          required: true
          schema:
            type: string
        - in: query
          name: grouping
          required: false
          schema:
            enum:
              - by_month
              - by_quarter
              - by_year
              - null
            nullable: true
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FinancialsSummarySchema'
          description: OK
      security:
        - ApiKeyAuth: []
components:
  schemas:
    FinancialsSummarySchema:
      properties:
        by_category:
          items:
            $ref: '#/components/schemas/FinancialsValue'
          type: array
        by_sub_category:
          items:
            $ref: '#/components/schemas/FinancialsValue'
          type: array
        currency:
          type: string
        grouping:
          enum:
            - by_month
            - by_quarter
            - by_year
          type: string
        metrics:
          items:
            $ref: '#/components/schemas/FinancialsValue'
          type: array
      type: object
    FinancialsValue:
      properties:
        label:
          type: string
        time_period_label:
          type: string
        value:
          type: number
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````